package adminrefertimeservice

import (
	"context"
	"git.gocasts.ir/ebhomengo/niki/entity"
)

type Service struct {
	repo Repository
}
type Repository interface {
	Get(ctx context.Context, referTimeID uint) (entity.ReferTime, error)
}

func New(repo Repository) Service {
	return Service{repo: repo}
}
