package agentkindboxservice

import (
	"context"
	param "git.gocasts.ir/ebhomengo/niki/param/agent/kind_box"
	richerror "git.gocasts.ir/ebhomengo/niki/pkg/rich_error"
)

func (s Service) Return(ctx context.Context, req param.ReturnKindBoxRequest) error {
	const op = "agentkindboxservice.Return"

	err := s.repo.ReturnKindBox(ctx, req.KindBoxID, req.SerialNumber)
	if err != nil {
		return richerror.New(op).WithErr(err)
	}

	return nil
}
