package config

import "time"

const (
	OtpChars                    = "0123456789"
	OtpExpireTime time.Duration = 2 * 60 * 1000 * 1000000 // 2 minutes

	JwtSignKey                 = "jwt_secret"
	AccessTokenSubject         = "ac"
	RefreshTokenSubject        = "rt"
	AccessTokenExpireDuration  = time.Hour * 24
	RefreshTokenExpireDuration = time.Hour * 24 * 7
	AuthMiddlewareContextKey   = "claims"
	BcryptCost                 = 3
)
